> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arnio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

Create a new webhook to listen events from Arnio.


## OpenAPI

````yaml post /webhooks
openapi: 3.0.3
info:
  title: Webhook API
  version: 1.0.0
  description: API for managing webhooks.
servers:
  - url: https://api.arnio.co/api/v1
security: []
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Create a webhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                companyName:
                  type: string
                  example: Company name of webhook
                url:
                  type: string
                  example: Endpoint of webhook
                eventTypes:
                  type: array
                  example: >-
                    Event types to listen for webhook e.g. ['new-message',
                    'updated-message']
                phoneNumber:
                  type: string
                  example: Assigned phone number
              required:
                - companyName
                - url
                - eventTypes
                - phoneNumber
      responses:
        '200':
          description: Webhook created successfully
          content:
            application/json:
              example:
                success: true
                message: Webhook created successfully
                data:
                  id: webhook-123
                  companyName: My Company
                  url: https://example.com/webhooks
                  eventTypes:
                    - new-message
                    - update-message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Provide your generated API Key.

````